<?php
/*
Plugin Name: DotNetKicks Kick It Plugin
Plugin URI: http://www.aaronlerch.com/blog/tools/
Description: Replaces any instances of "&lt;!--dotnetkickit--&gt;" into a DotNetKicks "Kick It" image and link.
Author: Aaron Lerch
Version: 2.0
Author URI: http://www.aaronlerch.com/blog/
*/ 

// This is the dotnetkicks template
$kickit_template = '<a href="http://www.dotnetkicks.com/kick/?url={URL}"><img src="http://www.dotnetkicks.com/Services/Images/KickItImageGenerator.ashx?url={URL}" border="0" alt="kick it on DotNetKicks.com" /></a>';

function filter_kick_content($content) {
    global $kickit_template;
    $kickit_code = str_replace('{URL}', get_permalink(), $kickit_template);
    $content = str_replace('<!--dotnetkickit-->', $kickit_code, $content);
    return $content;
}

add_filter('the_content', 'filter_kick_content');

?>